from __future__ import absolute_import
import warnings
import json
warnings.filterwarnings("ignore")

from fourier.dejavu import Dejavu
from fourier.dejavu.frecognize import FileRecognizer, MicrophoneRecognizer, StdinRecognizer

# load config from a JSON file (or anything outputting a python dictionary)
with open("fourier.cnf") as f:
    config = json.load(f)

if __name__ == '__main__':

	# create a Dejavu instance
	djv = Dejavu(config)

        djv.recognize(StdinRecognizer)
